

sample = readVcf("/Users/jon/hmf/tmp/COLO829v003.sage.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
tumorDf = geno_data_frame(sample, 2, "tumor")
snpEffDF = snp_data_frame(sample)

colo829 = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt"))

colo829 = left_join(colo829, snpEffDF, by = c("chromosome", "pos", "ref", "alt"))
save(colo829, file = "/Users/jon/hmf/tmp/COLO829v003.sage.RData")

passing = colo829 %>% filter(filter == 'PASS')
mnvs = passing %>% filter(nchar(alt) == nchar(ref), nchar(alt) > 1)


drivers = passing %>% filter(!is.na(canonicalCodingEffect), canonicalCodingEffect != 'NONE', canonicalCodingEffect != "SYNONYMOUS")
mixedGermlineSomaticMnv = mnvs %>% filter(!is.na(mixedSomaticGermline))
phasedInframeIndels = passing %>% filter(!is.na(phasedInframeIndel))
rightAlignedMicrohomology = passing %>% filter(!is.na(rightAlignedMicrohomology))
newSpliceDonors = passing %>% filter(canonicalEffect == "splice_donor_variant&splice_region_variant&intron_variant")

jon = colo829 %>% filter(chromosome == 3, mixedSomaticGermline == 2)
jon = colo829 %>% filter(chromosome == 8, mixedSomaticGermline == 2)
jon = colo829 %>% filter(chromosome == 19, mixedSomaticGermline == 4)

jon = colo829 %>% filter(chromosome == 3, pos >= 75734874, pos <= 75734876)




### COLO829 Multisample
sample = readVcf("/Users/jon/hmf/tmp/COLO829v003.multisample.sage.pon.filtered.vcf.gz")
info = info_data_frame(sample)
normal = geno_data_frame(sample, 1, "COLO829v003R")
tumor1 = geno_data_frame(sample, 2, "COLO829v003T")
tumor2 = geno_data_frame(sample, 3, "COLO829v001T")
tumor3 = geno_data_frame(sample, 4, "COLO829v002T")
tumor4 = geno_data_frame(sample, 5, "COLO829v004T")
colo829 = left_join(info, normal, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumor1, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumor2, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumor3, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumor4, by = c("chromosome", "pos", "ref", "alt"))

multicolo829 = colo829 %>% filter(filter == 'PASS')
View(multicolo829 %>% filter((COLO829v001TQual<125)+(COLO829v002TQual<125)+(COLO829v003TQual<125)+(COLO829v004TQual<125)==4) %>% select(tier, ends_with("QUAL"), ends_with("QualJitterPenalty")))

multicolo829PotentialPasses = colo829 %>% filter(qual > 125,  filter != 'PASS', !grepl("germ", filter), !grepl("PON", filter), !grepl("dedup", filter))

save(multicolo829, multicolo829PotentialPasses, file = "~/hmf/tmp/multicolo829.RData")

### COLO829
sample1 = readVcf("/Users/jon/hmf/analysis/COLO829T/sage/colo829.single.1.vcf")
info1 = info_data_frame(sample1)
normal1 = geno_data_frame(sample1, 1, "normal")
tumor1 = geno_data_frame(sample1, 2, "tumor1")
sample1 = left_join(info1, normal1, by = c("chromosome", "pos", "ref", "alt")) %>%
left_join(tumor1, by = c("chromosome", "pos", "ref", "alt"))


sample2 = readVcf("/Users/jon/hmf/analysis/COLO829T/sage/colo829.single.2.vcf")
info2 = info_data_frame(sample2)
normal2 = geno_data_frame(sample2, 1, "normal")
tumor2 = geno_data_frame(sample2, 2, "tumor2")
sample2 = left_join(info2, normal2, by = c("chromosome", "pos", "ref", "alt")) %>%
left_join(tumor2, by = c("chromosome", "pos", "ref", "alt"))


multi = readVcf("/Users/jon/hmf/analysis/COLO829T/sage/colo829.multi.vcf")
multiInfo = info_data_frame(multi)
multiNormal = geno_data_frame(multi, 1, "normal")
multiTumor1 = geno_data_frame(multi, 2, "tumor1")
multiTumor2 = geno_data_frame(multi, 3, "tumor2")
multi = left_join(multiInfo, multiNormal, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(multiTumor1, by = c("chromosome", "pos", "ref", "alt"))%>%
  left_join(multiTumor2, by = c("chromosome", "pos", "ref", "alt"))

### RNA
sample = readVcf("/Users/jon/hmf/analysis/CPCT02020378T/CPCT02020378T.rna.final.vcf.gz")
sample = readVcf("/Users/jon/hmf/analysis/CPCT02020378T/CPCT02020378T.var.panel.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
tumorDf = geno_data_frame(sample, 2, "tumor")
rnaDf = geno_data_frame(sample, 3, "rna")

rna = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(rnaDf, by = c("chromosome", "pos", "ref", "alt"))

save(rna, file = "/Users/jon/hmf/analysis/CPCT02020378T/rna.RData")

jon = rna %>% filter(!grepl("germline", filter), !grepl("PON", filter), !grepl("PASS", filter), !grepl("dedup", filter), rnaAltSupport > 1)


##### GIAB
sample = readVcf("/Users/jon/hmf/tmp/GIABvsSELFv004.sage.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
tumorDf = geno_data_frame(sample, 2, "tumor")
giab = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt"))
save(giab, file = "/Users/jon/hmf/tmp/GIABvsSELFv004.sage.RData")
passing = giab %>% filter(filter == 'PASS')


##### COLO829
sample = readVcf("/Users/jon/hmf/tmp/COLO829v003.sage.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
tumorDf = geno_data_frame(sample, 2, "tumor")
colo829 = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt"))
save(colo829, file = "/Users/jon/hmf/tmp/COLO829v003.sage.RData")

passing = colo829 %>% filter(filter == 'PASS')

##### MIXIN
sample = readVcf("/Users/jon/hmf/tmp/GIABMIXv003.sage.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
tumorDf = geno_data_frame(sample, 2, "tumor")
mixin = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt"))
save(mixin, file = "/Users/jon/hmf/tmp/GIABMIXv003.sage.RData")

passing = colo829 %>% filter(filter == 'PASS')




### COLO829 HG38
sample1 = readVcf("/Users/jon/hmf/tmp/COLO829v003T.sage.post.processed.vcf.gz")
info1 = info_data_frame(sample1)
normal1 = geno_data_frame(sample1, 1, "normal")
tumor1 = geno_data_frame(sample1, 1, "tumor1")
sample1 = left_join(info1, tumor1, by = c("chromosome", "pos", "ref", "alt"))
colo829_hg38 = sample1

save(colo829_hg38, file = "/Users/jon/hmf/tmp/colo829_hg38.RData")


##### COLO829 Germline
sample = readVcf("/Users/jon/hmf/tmp/COLO829v003.sage.germline.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
colo829Germline = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt"))
save(colo829Germline, file = "/Users/jon/hmf/tmp/COLO829v003Germline.sage.RData")


##### COLO829 Tumor
sample = readVcf("/Users/jon/hmf/tmp/COLO829v003.sage.tumor.map.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "tumor")
colo829Tumor = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt"))
save(colo829Tumor, file = "/Users/jon/hmf/tmp/COLO829v003Tumor.sage.RData")
head(colo829Tumor)

passing = colo829Tumor %>% filter(filter == 'PASS', germlinePonCount < 5)

#### RNA
sample = readVcf("/Users/jon/hmf/analysis/sageValidation/filtered/CPCT02010481T.filtered.vcf.gz")
infoDf = info_data_frame(sample)
normalDf = geno_data_frame(sample, 1, "normal")
rnaDf = geno_data_frame(sample, 2, "rna")
tumorDf = geno_data_frame(sample, 3, "tumor")

validation = left_join(infoDf, normalDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(tumorDf, by = c("chromosome", "pos", "ref", "alt")) %>%
  left_join(rnaDf, by = c("chromosome", "pos", "ref", "alt"))

jon = validation %>% filter(qual < 30, filter == 'PASS') %>% mutate(tumorRawAF = tumorRawAD1 / tumorRawDP) %>%
  select(tier, qual, tumorRawAD1, tumorRawAF, everything() )
  
jon = validation %>% filter(tier == 'HOTSPOT', filter != 'PASS', !grepl("SAGE_PON", filter)) %>% mutate(tumorRawAF = tumorRawAD1 / tumorRawDP) %>%
  select(tier, qual, tumorRawAD1, tumorRawAF, everything() )

names(jon)  
  


####